Perl installation on Xampp 1.5.0-pl1

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Perl installation on Xampp 1.5.0-pl1

Postby Keith » 15. November 2005 02:53

Having troubles getting the Perl add-on to start with the new version of XAMPP (1.5.0-pl1). I have installed the add-on successfuly but upon running setup_xampp.bat I get this error:

Fatal error: Call to undefined function: file_put_contents() in
C:\apachefriends\xampp\install\install.php on line 83
Posts: 1
Joined: 15. November 2005 02:38

Postby elwiz » 19. November 2005 20:30

How did you get it installed at all? i tried the perl addon but it says my xampp is too old (its 1.5 and not 1.4.. weird)
Posts: 2
Joined: 19. November 2005 20:26

Postby ivan8r » 07. December 2005 21:25

I am having the same problem. My error says "Apache Version 2.0.54 not found! Need XAMPP 1.4.15 or higher."

I noticed that next to the download for the Perl Addon, it says, "Perl 5.8.7 (1.4.16)." Does this mean that you must have version 1.4.16? I have version 1.50-pl1. Do I have to start over again with 1.4.16?
Posts: 7
Joined: 22. November 2005 02:09
Location: Anchorage, Alaska

Postby ivan8r » 07. December 2005 22:15

I decided to get experimental, so I downloaded the ZIP version of the Perl Addon and extracted the contents into my root directory. It seems to have installed correctly, but now I get an error when starting Apache that says, "Cannot load /xampp/perl/bin/perl58.dll into server: The specified module could not be found."

I then searched for the file and found it right where it should be. I modified the perl.conf file and changed the path to d:/xampp/xampp/perl/bin/perl58.dll, and the error went away.

I now have a new error which says, "(OS 10048)Only one usage of each socket address (protocol/network address/port) is normally permitted. : make_sock: could not bind to address no listening sockets available, shutting down. Unable to open logs."

Unfortunately, this error doesn't tell me which file is causing this error, so I don't know what step to take next. Can anybody help?
Posts: 7
Joined: 22. November 2005 02:09
Location: Anchorage, Alaska

Postby KingCrunch » 07. December 2005 22:36

Afaik SSL is using Port 443. More I dont have to say :(
Nicht jeder Fehler ist ein Bug ...
Posts: 1724
Joined: 26. November 2005 19:25

Postby ivan8r » 08. December 2005 01:47

Well, I was in a hurry to get this working, so I ended up downloading and installing the 1.4.16 release. Everything worked great on the first try.

Thanks anyways for your help!
Posts: 7
Joined: 22. November 2005 02:09
Location: Anchorage, Alaska

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 44 guests